gmp_add
gmp_clrbit
GMP Functions
PHP Manual

# gmp_and

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_and — Bitwise AND

### Description

GMP gmp_and ( GMP `$a` , GMP `$b` )

Calculates bitwise AND of two GMP numbers.

### Parameters

`a`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`b`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

A GMP number representing the bitwise AND comparison.

### Examples

Example #1 gmp_and() example

`<?php
$and1 = gmp_and("0xfffffffff4", "0x4");
$and2 = gmp_and("0xfffffffff4", "0x8");
echo gmp_strval($and1) . "\n";
echo gmp_strval($and2) . "\n";
?>`

The above example will output:

    4
    0

gmp_add
gmp_clrbit
GMP Functions
PHP Manual